package myapp.web.site.login;

import myapp.dto.UserDto;
import myapp.logic.UserLogic;

import org.seasar.struts.annotation.tiger.BoolType;
import org.seasar.struts.annotation.tiger.StrutsActionForward;
import org.seasar.struts.pojo.MessageManager;


public class LoginAction {

	/**
	 * ログイン成功
	 */
	@StrutsActionForward(path="/site/top.do", redirect=BoolType.TRUE)
    public static final String SUCCESS = "success";

	/**
     * ログイン失敗。
     */
    @StrutsActionForward(path="/site/top.do")
    public static final String ERROR = "error";

    private LoginDxo loginDxo;
	public void setLoginDxo(LoginDxo loginDxo) {
		this.loginDxo = loginDxo;
	}
    
	private UserLogic logic;
	public void setLogic(UserLogic logic) {
		this.logic = logic;
	}
	
	private LoginForm loginForm;
	public void setLoginForm(LoginForm loginForm) {
		this.loginForm = loginForm;
	}

	public String doExecute() {
		
		UserDto dto = loginDxo.convert(loginForm);
		dto = logic.login(dto);
		// ユーザーが存在している
		if (dto != null) {
			// 成功
			return SUCCESS;
		}
		// ユーザーが存在していない
        MessageManager.addError("loginMessage","errors.loginFailed");
        MessageManager.saveErrors();
        return ERROR;
	}
}
